pom.xml

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
fix: upgrade org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec from 1.0.0.Final to 1.0.1.Final

Snyk has created this PR to upgrade org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec from 1.0.0.Final to 1.0.1.Final.

See this package in NPM:

https://www.npmjs.com/package/org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

fix: upgrade org.webjars.bower:angular-resource from 1.6.10 to 1.7.7

Snyk has created this PR to upgrade org.webjars.bower:angular-resource from 1.6.10 to 1.7.7.

See this package in NPM:

https://www.npmjs.com/package/org.webjars.bower:angular-resource

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

fix: upgrade org.webjars.bower:angular-sanitize from 1.6.10 to 1.7.8

Snyk has created this PR to upgrade org.webjars.bower:angular-sanitize from 1.6.10 to 1.7.8.

See this package in NPM:

https://www.npmjs.com/package/org.webjars.bower:angular-sanitize

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

update jquery

  1. … 1 more file in changeset.
update postgresql driver

fix: upgrade org.webjars.bower:angular-cookies from 1.6.10 to 1.7.7

Snyk has created this PR to upgrade org.webjars.bower:angular-cookies from 1.6.10 to 1.7.7.

See this package in NPM:

https://www.npmjs.com/package/org.webjars.bower:angular-cookies

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

fix: upgrade org.webjars.bower:angular-route from 1.6.10 to 1.7.8

Snyk has created this PR to upgrade org.webjars.bower:angular-route from 1.6.10 to 1.7.8.

See this package in NPM:

https://www.npmjs.com/package/org.webjars.bower:angular-route

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

fix: upgrade org.postgresql:postgresql from 42.2.5 to 42.2.10.jre7

Snyk has created this PR to upgrade org.postgresql:postgresql from 42.2.5 to 42.2.10.jre7.

See this package in NPM:

https://www.npmjs.com/package/org.postgresql:postgresql

See this project in Snyk:

https://app.snyk.io/org/laffer1-github-marketplace/project/b8929c9f-fa33-4105-b41f-7f63c413f84d?utm_source=github&utm_medium=upgrade-pr

bump compiler plugin

Revert "Upgrade angularjs to 1.7.x"

This reverts commit bc5aa981c9b3c298395dcc052fd98ada8b5bd0ee.

  1. … 1 more file in changeset.
Upgrade angularjs to 1.7.x

  1. … 1 more file in changeset.
1.6.10 angularjs

  1. … 1 more file in changeset.
Angular 1.6.9

  1. … 1 more file in changeset.
Fix copyright and remove and update some dependencies

  1. … 1 more file in changeset.
Upgrade angularjs

  1. … 3 more files in changeset.
Another jquery bump

bump

Update spring

  1. … 4 more files in changeset.
Bump

Bump version

Update spring cloud

  1. … 1 more file in changeset.
Update spring boot version for security patches.

fix: pom.xml to reduce vulnerabilities

The following vulnerabilities are fixed with an upgrade:

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-467014

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-467015

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-467016

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-469674

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-469676

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-471943

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-472980

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-540500

- https://snyk.io/vuln/SNYK-JAVA-COMFASTERXMLJACKSONCORE-548451

- https://snyk.io/vuln/SNYK-JAVA-ORGAPACHETOMCATEMBED-538490

- https://snyk.io/vuln/SNYK-JAVA-ORGELASTICSEARCH-460545

- https://snyk.io/vuln/SNYK-JAVA-ORGELASTICSEARCH-460546

- https://snyk.io/vuln/SNYK-JAVA-ORGELASTICSEARCH-474622

- https://snyk.io/vuln/SNYK-JAVA-ORGHIBERNATEVALIDATOR-541187

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARS-479774

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARS-479782

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-473852

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-473853

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-473854

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479385

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479389

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479392

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479395

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479401

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479407

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479414

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479420

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-479445

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-539653

Use HTTPS instead of HTTP to resolve dependencies

This fixes a security vulnerability in this project where the `pom.xml`

files were configuring Maven to resolve dependencies over HTTP instead of

HTTPS.

Signed-off-by: Jonathan Leitschuh <Jonathan.Leitschuh@gmail.com>

fix: pom.xml to reduce vulnerabilities

The following vulnerabilities are fixed with an upgrade:

- https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSBOWER-539653

Spring boot 2.1.8

  1. … 4 more files in changeset.
fix: pom.xml to reduce vulnerabilities

The following vulnerabilities are fixed with an upgrade:

- https://snyk.io/vuln/SNYK-JAVA-ORGAPACHECOMMONS-460507